Results 1 to 3 of 3

Thread: recompiling the J2ME client

  1. #1
    jhoninck is offline Member
    Join Date
    Jul 2006
    Posts
    10
    Rep Power
    8

    Unhappy recompiling the J2ME client

    Would like to know if it is a totally absurd exercice to try and go through the following steps:

    1. install a build environment for Zimbra-J2ME-client
    2. use the phone to recognise your settings. This can be done with the application available from the website of J2MEPolish edition. This will upload the features of your phone to their website.
    3. recompile everything with the makefiles set for your device. If you take a device, which is not too different from the ones currently available there should not be an enormous problem.
    4. upload to your device and obviously test. Myself I have got Nokia E71, E61 should be similar and is available.

    Or maybe I am just dreaming and missing something,
    there must be a way of compiling for more than a handfull of devices.

  2. #2
    jhoninck is offline Member
    Join Date
    Jul 2006
    Posts
    10
    Rep Power
    8

    Exclamation at least J2ME polish supports my device

    Welcome to the J2MEPolish interactive device database

    allowed me to find mine, along with an enormous list,
    now all I should do is compile my settings (found in the hughe list) against the Zimbra J2ME client.

    Still think it is quite absurd Zimbra does only offer a limited amount of devices when this gives you the possibility to have the necessary hardware settings for all devices.

    What am I missing

  3. #3
    jhoninck is offline Member
    Join Date
    Jul 2006
    Posts
    10
    Rep Power
    8

    Default what is the difference between S60 and e60 ?

    Apparently when I try to recompile the J2ME client for my phone I go through the following steps:
    1. download Zimbra and build from source, including external libraries, painfull, but I got through.
    2. install J2ME-polish, during that installation I got a question about various SDK's for different platforms.
    3. Off I went to look for Nokia
    4. On their website they give these libraries only for the S60, which is another name for their operating systems (like windoze 5 or windoze 6)
    This is the link I found:
    Release Notes for S60 3rd Edition SDK for Symbian OS, Supporting Feature Pack 1, for MIDP
    5. on the forums it is explicitly said that I should not try to take e.g. the nokia e60 model and run it on a e71. Or is the limitation slightly softer:
    e.g. ???
    A. a version for Nokia S60 (Symbian)
    B. a version for windoze 5
    C. another version for windoze 6
    D. a version for iphone
    E. Some other phones (android razer etc..)

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. [SOLVED] Ericsson p910i error message, j2me client problem?
    By johnbright in forum ZimbraME (J2ME Client)
    Replies: 7
    Last Post: 01-16-2009, 06:28 AM
  2. J2ME Client Sony Ericsson K800i
    By Kavitab in forum ZimbraME (J2ME Client)
    Replies: 0
    Last Post: 12-25-2008, 03:49 AM
  3. Problems to download j2me client
    By slacker in forum ZimbraME (J2ME Client)
    Replies: 0
    Last Post: 07-01-2008, 07:36 AM
  4. Zimbra + LDAP + Posix + Samba
    By fruitlounge in forum Administrators
    Replies: 24
    Last Post: 06-30-2008, 09:55 PM
  5. can't you help me
    By iwan siahaan in forum Administrators
    Replies: 6
    Last Post: 12-17-2007, 06:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •